For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
      • Subscribing
      • Receiving
      • Event Delivery and Retry Logic
      • Persistent Failures and Disabling Logic
      • Idempotency and the X-Event-ID Header
      • Handling event order with X-Timestamp
      • Verifying
      • GETList all subscribable event types
      • GETList all secrets
      • POSTCreate/replace a secret
      • GETList all subscriptions
      • POSTCreate a subscription
      • GETRetrieve a subscription
      • POSTConfirm a subscription
      • DELDelete a subscription
      • PATCHUpdate a subscription
      • GETGet subscription events
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceWebhooks

List all subscribable event types

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/hooks/event-types/
GET
/api/v1/hooks/event-types/
$curl https://api.prolific.com/api/v1/hooks/event-types/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json"
1{
2 "results": [
3 {
4 "event_type": "study.status.change",
5 "description": "Triggered when the status of a study changes, e.g., from draft to live."
6 },
7 {
8 "event_type": "participant.submission.created",
9 "description": "Occurs when a participant submits a response to a study."
10 },
11 {
12 "event_type": "payment.processed",
13 "description": "Fires when a payment to a participant has been successfully processed."
14 },
15 {
16 "event_type": "study.completed",
17 "description": "Indicates that a study has been fully completed by all participants."
18 }
19 ]
20}
You can subscribe to any of the event types defined in this response.
Was this page helpful?
Previous

Verifying

Next

List all secrets

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Response

List of event types that can be subscribed to.
resultslist of objects

Errors

4XX
Client Request Error